// minimal vertex shader
// www.lighthouse3d.com

varying vec4 diffuse;
varying vec3 normal,lightDir,halfVector;

void main()
{
  vec4 ecPos;
  vec3 aux;
  normal = normalize(gl_NormalMatrix * gl_Normal);
  
  /* these are the new lines of code to compute the light's direction */
  ecPos = gl_ModelViewMatrix * gl_Vertex;
  aux = vec3(gl_LightSource[0].position-ecPos);
  lightDir = normalize(aux);
  halfVector = normalize(gl_LightSource[0].halfVector.xyz);
  
  // Compute the diffuse term 
  
  //  diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;
  diffuse = vec4(0.5, 0.5, 0.5, 1.0);
  gl_Position = ftransform();

}
